export declare function Confirmable(
/**
* Mensagem de confirmação.
*/
message: string, 
/**
* Título do diálogo.
*/
title: string, 
/**
*
* Define se o botão de confirmação deverá ser evidenciado.
*/
isCritical?: boolean): (target: Object, key: string | symbol, descriptor: PropertyDescriptor) => PropertyDescriptor;
export declare function ConfirmableFunction(title: string, message: string, callback: () => void): void;
export declare function CriticalConfirmableFunction(title: string, message: string, callback: () => void): void;
